> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start an email blast



## OpenAPI

````yaml /openapi.json post /email_blasts/{id}/start
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /email_blasts/{id}/start:
    post:
      tags:
        - Email blasts
      summary: Start an email blast
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the email blast
          required: true
      responses:
        '200':
          description: The started `EmailBlast` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailBlast'
components:
  schemas:
    EmailBlast:
      type: object
      properties:
        id:
          type: string
          description: The ID of the email blast
        name:
          type: string
          description: The name of the email blast
        created_at:
          type: string
          description: The time when the email blast was created in ISO 8601 format
        email_template:
          type: string
          nullable: true
          description: The email template associated with the email blast
        status:
          type: string
          description: >-
            The status of the email blast. One of "draft", "scheduled",
            "started", or "stopped"
        scheduled_at:
          type: string
          nullable: true
          description: >-
            The time when the email blast is scheduled to start in ISO 8601
            format
        segment:
          type: string
          nullable: true
          description: The segment attached to the email blast
        email_address:
          type: string
          nullable: true
          description: >-
            The email address used to send the email blast. Will be the ID of an
            email-address-like object
        statistics:
          type: object
          properties:
            emails:
              type: object
              properties:
                sent:
                  type: integer
                  description: The number of emails sent
                delivered:
                  type: integer
                  description: The number of emails delivered
                opened:
                  type: integer
                  description: The number of emails opened
                soft_bounced:
                  type: integer
                  description: The number of emails that soft bounced
                hard_bounced:
                  type: integer
                  description: The number of emails that hard bounced
                spam_reported:
                  type: integer
                  description: The number of emails reported as spam
                clicked:
                  type: integer
                  nullable: true
                  description: The number of emails clicked (null if tracking not enabled)
              required:
                - sent
                - delivered
                - opened
                - soft_bounced
                - hard_bounced
                - spam_reported
                - clicked
              description: >-
                Email statistics including sent, delivered, opened, bounced, and
                clicked counts
            executions:
              type: object
              properties:
                total:
                  type: integer
                  description: Total number of executions
                pending:
                  type: integer
                  description: Number of pending executions
                started:
                  type: integer
                  description: Number of started executions
                finished:
                  type: integer
                  description: Number of finished executions
                errored:
                  type: integer
                  description: Number of errored executions
              required:
                - total
                - pending
                - started
                - finished
                - errored
              description: Execution statistics
          required:
            - emails
            - executions
          description: The statistics of the email blast including email delivery metrics
        enrolled_customers:
          type: array
          items:
            type: string
          description: The customers enrolled in the email blast
        excluded_customers:
          type: array
          items:
            type: string
          description: The customers excluded from the email blast
        attributed_revenue:
          type: string
          nullable: true
          description: The revenue attributed to the email blast
      required:
        - id
        - name
        - created_at
        - email_template
        - status
        - scheduled_at
        - segment
        - email_address
        - statistics
        - attributed_revenue
      title: The Email Blast object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````